<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Microservice Traffic Simulator</title>
    <script src="https://d3js.org/d3.v5.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sockjs-client@1/dist/sockjs.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@stomp/stompjs@5.0.0/bundles/stomp.umd.min.js"></script>
    <script src="/webjars/jquery/jquery.min.js"></script>
    <script src="/webjars/sockjs-client/sockjs.min.js"></script>
    <script src="/webjars/stomp-websocket/stomp.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <script th:src="@{/js/requests.js}"></script>
    <script th:src="@{/js/websocket.js}"></script>
    <style>
        body {
            background-color: gray;
        }
    </style>
</head>

<body>
    <div style="position:sticky;top:0">
        <div class="row" >
            <div class="pull-right">
                <div class="panel panel-default" >
                    <div class="panel-body" style="padding-right:20px">
                        <h3 id="time"></h3>
                        <a href="/information" target="_blank">Go to logs</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="pull-right">
                <div class="panel panel-default" >
                    <div class="panel-body" style="padding-right:20px">
                        <div id="homes"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <canvas id="network" width="1500" height="2000" >
        <script th:src="@{/js/graph.js}"></script>
    </canvas>
</body>
</html>